> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xhuoapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Producent Pobieranie plików WAV - instrukcja integracji API

> Producer Music Generation 集成指南 - XHuoAPI

Producent pozwala nam na pobieranie plików WAV związanych z utworami. Niniejszy dokument wyjaśnia metody integracji z odpowiednim API.

To API ma tylko jeden parametr wejściowy, którym jest `audio_id`, będący unikalnym identyfikatorem utworu.

Tutaj wprowadzamy `audio_id`, które wynosi `a54609c6-13e2-4176-be0f-4d7eebc68e1f`, jest to identyfikator utworu wygenerowany przez Producenta.

```bash theme={null}
curl -X POST 'https://api.xhuoapi.ai/v1/producer/wav' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
  "audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
```

Wynik jest następujący:

```
{
  "success": true,
  "task_id": "44963173-b6c5-463c-915f-96730d14ec63",
  "trace_id": "f75d6a27-54bc-49fd-a40e-6d4cd0427764",
  "data": [
    {
      "title": "Obudziłem się z słońcem w oczach",
      "file_url": "https://cdn.ttapi.io/other/2025-12-30/a1508051-a6b8-4867-8cbb-32273a99c2ae.wav"
    }
  ]
}
```

Można zauważyć, że pole `file_url` w `data` to link do pobrania pliku WAV.
